---
title: HTMLEmbedElement
slug: Web/API/HTMLEmbedElement
tags:
  - API
  - HTML DOM
  - Interface
  - NeedsNewLayout
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLEmbedElement</code></strong> interface provides special properties (beyond the regular {{domxref("HTMLElement")}} interface it also has available to it by inheritance) for manipulating {{HTMLElement("embed")}} elements.</p>

<div class="note">
<p>This topic describes the <code>HTMLEmbedElement</code> interface as defined in the standard. It does not address earlier, non-standardized version of the interface.</p>
</div>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{domxref("HTMLElement")}}.</em></p>

<dl>
 <dt>{{domxref("HTMLEmbedElement.align")}} {{obsolete_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} representing an enumerated property indicating alignment of the element's contents with respect to the surrounding context. The possible values are <code>"left"</code>, <code>"right"</code>, <code>"center"</code>, and <code>"justify"</code>.</dd>
 <dt>{{domxref("HTMLEmbedElement.height")}}</dt>
 <dd>Is a {{domxref("DOMString")}} reflecting the {{htmlattrxref("height", "embed")}} HTML attribute, containing the displayed height of the resource.</dd>
 <dt>{{domxref("HTMLEmbedElement.name")}} {{obsolete_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} representing the name of the embedded object.</dd>
 <dt>{{domxref("HTMLEmbedElement.src")}}</dt>
 <dd>Is a {{domxref("DOMString")}} that reflects the {{htmlattrxref("src", "embed")}} HTML attribute, containing the address of the resource.</dd>
 <dt>{{domxref("HTMLEmbedElement.type")}}</dt>
 <dd>Is a {{domxref("DOMString")}} that reflects the {{htmlattrxref("type", "embed")}} HTML attribute, containing the type of the resource.</dd>
 <dt>{{domxref("HTMLEmbedElement.width")}}</dt>
 <dd>Is a {{domxref("DOMString")}} that reflects the {{htmlattrxref("width", "embed")}} HTML attribute, containing the displayed width of the resource.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No specific method; inherits methods from its parent, {{domxref("HTMLElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#htmlembedelement", "HTMLEmbedElement")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Adds two obsolete properties, <code>name</code> and <code>align</code>, to help with compatibility with old Web sites.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#the-embed-element", "HTMLEmbedElement")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLEmbedElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The HTML element implementing this interface: {{ HTMLElement("embed") }}</li>
</ul>
